Package Gnumed :: Package timelinelib :: Package canvas :: Module timelinecanvascontroller :: Class TimelineCanvasController |
[frames] | no frames]

# Class TimelineCanvasController

source code

    object --+
             |
            TimelineCanvasController

Instance Methods
__init__(self, view, drawer=None) The purpose of the drawer argument is make testing easier. | source code
scene(self) | source code
get_appearance(self) | source code
set_appearance(self, appearance) | source code
get_saved_background_drawer(self) | source code
set_event_box_drawer(self, event_box_drawer) | source code
set_background_drawer(self, drawer) | source code
get_timeline(self) | source code
get_view_properties(self) | source code
set_timeline(self, timeline) Inform what timeline to draw. | source code
use_fast_draw(self, value) | source code
navigate(self, navigation_fn) | source code
get_time_period(self) Return currently displayed time period. | source code
redraw_timeline(self) | source code
window_resized(self) | source code
get_time(self, x) | source code
event_with_rect_at(self, x, y, alt_down=False) | source code
event_at(self, x, y, alt_down=False) | source code
set_selected(self, event, is_selected) | source code
clear_selected(self) | source code
select_all_events(self) | source code
is_selected(self, event) | source code
set_hovered_event(self, event) | source code
get_hovered_event(self) | source code
set_selection_rect(self, cursor) | source code
remove_selection_rect(self) | source code
get_hscroll_amount(self) | source code
set_hscroll_amount(self, amount) | source code
set_period_selection(self, period) | source code
select_events_in_rect(self, rect) | source code
event_has_sticky_balloon(self, event) | source code
set_event_sticky_balloon(self, event, is_sticky) | source code
add_highlight(self, event, clear) | source code
tick_highlights(self) | source code
has_higlights(self) | source code
filter_events(self, events) | source code
event_is_period(self, event) | source code
snap(self, time) | source code
get_selected_events(self) | source code
get_events_in_rect(self, rect) | source code
get_hidden_event_count(self) | source code
increment_font_size(self) | source code
decrement_font_size(self) | source code
get_closest_overlapping_event(self, event, up) | source code
balloon_at(self, cursor) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, view, drawer=None) (Constructor) | source code
The purpose of the drawer argument is make testing easier. A test can mock a drawer and use the mock by sending it in the drawer argument. Normally the drawer is collected with the get_drawer() method. Overrides: object.__init__

### scene(self) | source code
Decorators: `@property`